IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network13.112.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
- Network address
13.112.0.0- Broadcast address
13.127.255.255- First usable
13.112.0.1- Last usable
13.127.255.254- Usable hosts
- 1,048,574 (1,048,576 less the network and broadcast addresses)
- Subnet mask
255.240.0.0- Wildcard mask
0.15.255.255(Cisco ACLs, OSPF)- Prefix length
- /12
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
0D700000· Integer225443840to226492415 - Reverse DNS zones
112.13.in-addr.arpa113.13.in-addr.arpa114.13.in-addr.arpa115.13.in-addr.arpa116.13.in-addr.arpa117.13.in-addr.arpa118.13.in-addr.arpa119.13.in-addr.arpa120.13.in-addr.arpa121.13.in-addr.arpa122.13.in-addr.arpa123.13.in-addr.arpa124.13.in-addr.arpa125.13.in-addr.arpa126.13.in-addr.arpa127.13.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00001101.01110000.00000000.00000000 | 13.112.0.0 |
| Subnet mask | 11111111.11110000.00000000.00000000 | 255.240.0.0 |
| Network | 00001101.01110000.00000000.00000000 | 13.112.0.0 |
| Broadcast | 00001101.01111111.11111111.11111111 | 13.127.255.255 |
Split into smaller subnets
/13 (2)/14 (4)/15 (8)/16 (16)/17 (32)/18 (64)/19 (128)/20 (256)/21 (512)/22 (1,024)/23 (2,048)/24 (4,096)
13.112.0.0/12 makes 256 subnets of /20.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 13.112.0.0/20 | 13.112.0.1 to 13.112.15.254 | 13.112.15.255 | 4,094 |
| 2 | 13.112.16.0/20 | 13.112.16.1 to 13.112.31.254 | 13.112.31.255 | 4,094 |
| 3 | 13.112.32.0/20 | 13.112.32.1 to 13.112.47.254 | 13.112.47.255 | 4,094 |
| 4 | 13.112.48.0/20 | 13.112.48.1 to 13.112.63.254 | 13.112.63.255 | 4,094 |
| 5 | 13.112.64.0/20 | 13.112.64.1 to 13.112.79.254 | 13.112.79.255 | 4,094 |
| 6 | 13.112.80.0/20 | 13.112.80.1 to 13.112.95.254 | 13.112.95.255 | 4,094 |
| 7 | 13.112.96.0/20 | 13.112.96.1 to 13.112.111.254 | 13.112.111.255 | 4,094 |
| 8 | 13.112.112.0/20 | 13.112.112.1 to 13.112.127.254 | 13.112.127.255 | 4,094 |
| 9 | 13.112.128.0/20 | 13.112.128.1 to 13.112.143.254 | 13.112.143.255 | 4,094 |
| 10 | 13.112.144.0/20 | 13.112.144.1 to 13.112.159.254 | 13.112.159.255 | 4,094 |
| 11 | 13.112.160.0/20 | 13.112.160.1 to 13.112.175.254 | 13.112.175.255 | 4,094 |
| 12 | 13.112.176.0/20 | 13.112.176.1 to 13.112.191.254 | 13.112.191.255 | 4,094 |
| 13 | 13.112.192.0/20 | 13.112.192.1 to 13.112.207.254 | 13.112.207.255 | 4,094 |
| 14 | 13.112.208.0/20 | 13.112.208.1 to 13.112.223.254 | 13.112.223.255 | 4,094 |
| 15 | 13.112.224.0/20 | 13.112.224.1 to 13.112.239.254 | 13.112.239.255 | 4,094 |
| 16 | 13.112.240.0/20 | 13.112.240.1 to 13.112.255.254 | 13.112.255.255 | 4,094 |
| 17 | 13.113.0.0/20 | 13.113.0.1 to 13.113.15.254 | 13.113.15.255 | 4,094 |
| 18 | 13.113.16.0/20 | 13.113.16.1 to 13.113.31.254 | 13.113.31.255 | 4,094 |
| 19 | 13.113.32.0/20 | 13.113.32.1 to 13.113.47.254 | 13.113.47.255 | 4,094 |
| 20 | 13.113.48.0/20 | 13.113.48.1 to 13.113.63.254 | 13.113.63.255 | 4,094 |
| 21 | 13.113.64.0/20 | 13.113.64.1 to 13.113.79.254 | 13.113.79.255 | 4,094 |
| 22 | 13.113.80.0/20 | 13.113.80.1 to 13.113.95.254 | 13.113.95.255 | 4,094 |
| 23 | 13.113.96.0/20 | 13.113.96.1 to 13.113.111.254 | 13.113.111.255 | 4,094 |
| 24 | 13.113.112.0/20 | 13.113.112.1 to 13.113.127.254 | 13.113.127.255 | 4,094 |
| 25 | 13.113.128.0/20 | 13.113.128.1 to 13.113.143.254 | 13.113.143.255 | 4,094 |
| 26 | 13.113.144.0/20 | 13.113.144.1 to 13.113.159.254 | 13.113.159.255 | 4,094 |
| 27 | 13.113.160.0/20 | 13.113.160.1 to 13.113.175.254 | 13.113.175.255 | 4,094 |
| 28 | 13.113.176.0/20 | 13.113.176.1 to 13.113.191.254 | 13.113.191.255 | 4,094 |
| 29 | 13.113.192.0/20 | 13.113.192.1 to 13.113.207.254 | 13.113.207.255 | 4,094 |
| 30 | 13.113.208.0/20 | 13.113.208.1 to 13.113.223.254 | 13.113.223.255 | 4,094 |
| 31 | 13.113.224.0/20 | 13.113.224.1 to 13.113.239.254 | 13.113.239.255 | 4,094 |
| 32 | 13.113.240.0/20 | 13.113.240.1 to 13.113.255.254 | 13.113.255.255 | 4,094 |
| 33 | 13.114.0.0/20 | 13.114.0.1 to 13.114.15.254 | 13.114.15.255 | 4,094 |
| 34 | 13.114.16.0/20 | 13.114.16.1 to 13.114.31.254 | 13.114.31.255 | 4,094 |
| 35 | 13.114.32.0/20 | 13.114.32.1 to 13.114.47.254 | 13.114.47.255 | 4,094 |
| 36 | 13.114.48.0/20 | 13.114.48.1 to 13.114.63.254 | 13.114.63.255 | 4,094 |
| 37 | 13.114.64.0/20 | 13.114.64.1 to 13.114.79.254 | 13.114.79.255 | 4,094 |
| 38 | 13.114.80.0/20 | 13.114.80.1 to 13.114.95.254 | 13.114.95.255 | 4,094 |
| 39 | 13.114.96.0/20 | 13.114.96.1 to 13.114.111.254 | 13.114.111.255 | 4,094 |
| 40 | 13.114.112.0/20 | 13.114.112.1 to 13.114.127.254 | 13.114.127.255 | 4,094 |
| 41 | 13.114.128.0/20 | 13.114.128.1 to 13.114.143.254 | 13.114.143.255 | 4,094 |
| 42 | 13.114.144.0/20 | 13.114.144.1 to 13.114.159.254 | 13.114.159.255 | 4,094 |
| 43 | 13.114.160.0/20 | 13.114.160.1 to 13.114.175.254 | 13.114.175.255 | 4,094 |
| 44 | 13.114.176.0/20 | 13.114.176.1 to 13.114.191.254 | 13.114.191.255 | 4,094 |
| 45 | 13.114.192.0/20 | 13.114.192.1 to 13.114.207.254 | 13.114.207.255 | 4,094 |
| 46 | 13.114.208.0/20 | 13.114.208.1 to 13.114.223.254 | 13.114.223.255 | 4,094 |
| 47 | 13.114.224.0/20 | 13.114.224.1 to 13.114.239.254 | 13.114.239.255 | 4,094 |
| 48 | 13.114.240.0/20 | 13.114.240.1 to 13.114.255.254 | 13.114.255.255 | 4,094 |
| 49 | 13.115.0.0/20 | 13.115.0.1 to 13.115.15.254 | 13.115.15.255 | 4,094 |
| 50 | 13.115.16.0/20 | 13.115.16.1 to 13.115.31.254 | 13.115.31.255 | 4,094 |
| 51 | 13.115.32.0/20 | 13.115.32.1 to 13.115.47.254 | 13.115.47.255 | 4,094 |
| 52 | 13.115.48.0/20 | 13.115.48.1 to 13.115.63.254 | 13.115.63.255 | 4,094 |
| 53 | 13.115.64.0/20 | 13.115.64.1 to 13.115.79.254 | 13.115.79.255 | 4,094 |
| 54 | 13.115.80.0/20 | 13.115.80.1 to 13.115.95.254 | 13.115.95.255 | 4,094 |
| 55 | 13.115.96.0/20 | 13.115.96.1 to 13.115.111.254 | 13.115.111.255 | 4,094 |
| 56 | 13.115.112.0/20 | 13.115.112.1 to 13.115.127.254 | 13.115.127.255 | 4,094 |
| 57 | 13.115.128.0/20 | 13.115.128.1 to 13.115.143.254 | 13.115.143.255 | 4,094 |
| 58 | 13.115.144.0/20 | 13.115.144.1 to 13.115.159.254 | 13.115.159.255 | 4,094 |
| 59 | 13.115.160.0/20 | 13.115.160.1 to 13.115.175.254 | 13.115.175.255 | 4,094 |
| 60 | 13.115.176.0/20 | 13.115.176.1 to 13.115.191.254 | 13.115.191.255 | 4,094 |
| 61 | 13.115.192.0/20 | 13.115.192.1 to 13.115.207.254 | 13.115.207.255 | 4,094 |
| 62 | 13.115.208.0/20 | 13.115.208.1 to 13.115.223.254 | 13.115.223.255 | 4,094 |
| 63 | 13.115.224.0/20 | 13.115.224.1 to 13.115.239.254 | 13.115.239.255 | 4,094 |
| 64 | 13.115.240.0/20 | 13.115.240.1 to 13.115.255.254 | 13.115.255.255 | 4,094 |
| 65 | 13.116.0.0/20 | 13.116.0.1 to 13.116.15.254 | 13.116.15.255 | 4,094 |
| 66 | 13.116.16.0/20 | 13.116.16.1 to 13.116.31.254 | 13.116.31.255 | 4,094 |
| 67 | 13.116.32.0/20 | 13.116.32.1 to 13.116.47.254 | 13.116.47.255 | 4,094 |
| 68 | 13.116.48.0/20 | 13.116.48.1 to 13.116.63.254 | 13.116.63.255 | 4,094 |
| 69 | 13.116.64.0/20 | 13.116.64.1 to 13.116.79.254 | 13.116.79.255 | 4,094 |
| 70 | 13.116.80.0/20 | 13.116.80.1 to 13.116.95.254 | 13.116.95.255 | 4,094 |
| 71 | 13.116.96.0/20 | 13.116.96.1 to 13.116.111.254 | 13.116.111.255 | 4,094 |
| 72 | 13.116.112.0/20 | 13.116.112.1 to 13.116.127.254 | 13.116.127.255 | 4,094 |
| 73 | 13.116.128.0/20 | 13.116.128.1 to 13.116.143.254 | 13.116.143.255 | 4,094 |
| 74 | 13.116.144.0/20 | 13.116.144.1 to 13.116.159.254 | 13.116.159.255 | 4,094 |
| 75 | 13.116.160.0/20 | 13.116.160.1 to 13.116.175.254 | 13.116.175.255 | 4,094 |
| 76 | 13.116.176.0/20 | 13.116.176.1 to 13.116.191.254 | 13.116.191.255 | 4,094 |
| 77 | 13.116.192.0/20 | 13.116.192.1 to 13.116.207.254 | 13.116.207.255 | 4,094 |
| 78 | 13.116.208.0/20 | 13.116.208.1 to 13.116.223.254 | 13.116.223.255 | 4,094 |
| 79 | 13.116.224.0/20 | 13.116.224.1 to 13.116.239.254 | 13.116.239.255 | 4,094 |
| 80 | 13.116.240.0/20 | 13.116.240.1 to 13.116.255.254 | 13.116.255.255 | 4,094 |
| 81 | 13.117.0.0/20 | 13.117.0.1 to 13.117.15.254 | 13.117.15.255 | 4,094 |
| 82 | 13.117.16.0/20 | 13.117.16.1 to 13.117.31.254 | 13.117.31.255 | 4,094 |
| 83 | 13.117.32.0/20 | 13.117.32.1 to 13.117.47.254 | 13.117.47.255 | 4,094 |
| 84 | 13.117.48.0/20 | 13.117.48.1 to 13.117.63.254 | 13.117.63.255 | 4,094 |
| 85 | 13.117.64.0/20 | 13.117.64.1 to 13.117.79.254 | 13.117.79.255 | 4,094 |
| 86 | 13.117.80.0/20 | 13.117.80.1 to 13.117.95.254 | 13.117.95.255 | 4,094 |
| 87 | 13.117.96.0/20 | 13.117.96.1 to 13.117.111.254 | 13.117.111.255 | 4,094 |
| 88 | 13.117.112.0/20 | 13.117.112.1 to 13.117.127.254 | 13.117.127.255 | 4,094 |
| 89 | 13.117.128.0/20 | 13.117.128.1 to 13.117.143.254 | 13.117.143.255 | 4,094 |
| 90 | 13.117.144.0/20 | 13.117.144.1 to 13.117.159.254 | 13.117.159.255 | 4,094 |
| 91 | 13.117.160.0/20 | 13.117.160.1 to 13.117.175.254 | 13.117.175.255 | 4,094 |
| 92 | 13.117.176.0/20 | 13.117.176.1 to 13.117.191.254 | 13.117.191.255 | 4,094 |
| 93 | 13.117.192.0/20 | 13.117.192.1 to 13.117.207.254 | 13.117.207.255 | 4,094 |
| 94 | 13.117.208.0/20 | 13.117.208.1 to 13.117.223.254 | 13.117.223.255 | 4,094 |
| 95 | 13.117.224.0/20 | 13.117.224.1 to 13.117.239.254 | 13.117.239.255 | 4,094 |
| 96 | 13.117.240.0/20 | 13.117.240.1 to 13.117.255.254 | 13.117.255.255 | 4,094 |
| 97 | 13.118.0.0/20 | 13.118.0.1 to 13.118.15.254 | 13.118.15.255 | 4,094 |
| 98 | 13.118.16.0/20 | 13.118.16.1 to 13.118.31.254 | 13.118.31.255 | 4,094 |
| 99 | 13.118.32.0/20 | 13.118.32.1 to 13.118.47.254 | 13.118.47.255 | 4,094 |
| 100 | 13.118.48.0/20 | 13.118.48.1 to 13.118.63.254 | 13.118.63.255 | 4,094 |
| 101 | 13.118.64.0/20 | 13.118.64.1 to 13.118.79.254 | 13.118.79.255 | 4,094 |
| 102 | 13.118.80.0/20 | 13.118.80.1 to 13.118.95.254 | 13.118.95.255 | 4,094 |
| 103 | 13.118.96.0/20 | 13.118.96.1 to 13.118.111.254 | 13.118.111.255 | 4,094 |
| 104 | 13.118.112.0/20 | 13.118.112.1 to 13.118.127.254 | 13.118.127.255 | 4,094 |
| 105 | 13.118.128.0/20 | 13.118.128.1 to 13.118.143.254 | 13.118.143.255 | 4,094 |
| 106 | 13.118.144.0/20 | 13.118.144.1 to 13.118.159.254 | 13.118.159.255 | 4,094 |
| 107 | 13.118.160.0/20 | 13.118.160.1 to 13.118.175.254 | 13.118.175.255 | 4,094 |
| 108 | 13.118.176.0/20 | 13.118.176.1 to 13.118.191.254 | 13.118.191.255 | 4,094 |
| 109 | 13.118.192.0/20 | 13.118.192.1 to 13.118.207.254 | 13.118.207.255 | 4,094 |
| 110 | 13.118.208.0/20 | 13.118.208.1 to 13.118.223.254 | 13.118.223.255 | 4,094 |
| 111 | 13.118.224.0/20 | 13.118.224.1 to 13.118.239.254 | 13.118.239.255 | 4,094 |
| 112 | 13.118.240.0/20 | 13.118.240.1 to 13.118.255.254 | 13.118.255.255 | 4,094 |
| 113 | 13.119.0.0/20 | 13.119.0.1 to 13.119.15.254 | 13.119.15.255 | 4,094 |
| 114 | 13.119.16.0/20 | 13.119.16.1 to 13.119.31.254 | 13.119.31.255 | 4,094 |
| 115 | 13.119.32.0/20 | 13.119.32.1 to 13.119.47.254 | 13.119.47.255 | 4,094 |
| 116 | 13.119.48.0/20 | 13.119.48.1 to 13.119.63.254 | 13.119.63.255 | 4,094 |
| 117 | 13.119.64.0/20 | 13.119.64.1 to 13.119.79.254 | 13.119.79.255 | 4,094 |
| 118 | 13.119.80.0/20 | 13.119.80.1 to 13.119.95.254 | 13.119.95.255 | 4,094 |
| 119 | 13.119.96.0/20 | 13.119.96.1 to 13.119.111.254 | 13.119.111.255 | 4,094 |
| 120 | 13.119.112.0/20 | 13.119.112.1 to 13.119.127.254 | 13.119.127.255 | 4,094 |
| 121 | 13.119.128.0/20 | 13.119.128.1 to 13.119.143.254 | 13.119.143.255 | 4,094 |
| 122 | 13.119.144.0/20 | 13.119.144.1 to 13.119.159.254 | 13.119.159.255 | 4,094 |
| 123 | 13.119.160.0/20 | 13.119.160.1 to 13.119.175.254 | 13.119.175.255 | 4,094 |
| 124 | 13.119.176.0/20 | 13.119.176.1 to 13.119.191.254 | 13.119.191.255 | 4,094 |
| 125 | 13.119.192.0/20 | 13.119.192.1 to 13.119.207.254 | 13.119.207.255 | 4,094 |
| 126 | 13.119.208.0/20 | 13.119.208.1 to 13.119.223.254 | 13.119.223.255 | 4,094 |
| 127 | 13.119.224.0/20 | 13.119.224.1 to 13.119.239.254 | 13.119.239.255 | 4,094 |
| 128 | 13.119.240.0/20 | 13.119.240.1 to 13.119.255.254 | 13.119.255.255 | 4,094 |
| 129 | 13.120.0.0/20 | 13.120.0.1 to 13.120.15.254 | 13.120.15.255 | 4,094 |
| 130 | 13.120.16.0/20 | 13.120.16.1 to 13.120.31.254 | 13.120.31.255 | 4,094 |
| 131 | 13.120.32.0/20 | 13.120.32.1 to 13.120.47.254 | 13.120.47.255 | 4,094 |
| 132 | 13.120.48.0/20 | 13.120.48.1 to 13.120.63.254 | 13.120.63.255 | 4,094 |
| 133 | 13.120.64.0/20 | 13.120.64.1 to 13.120.79.254 | 13.120.79.255 | 4,094 |
| 134 | 13.120.80.0/20 | 13.120.80.1 to 13.120.95.254 | 13.120.95.255 | 4,094 |
| 135 | 13.120.96.0/20 | 13.120.96.1 to 13.120.111.254 | 13.120.111.255 | 4,094 |
| 136 | 13.120.112.0/20 | 13.120.112.1 to 13.120.127.254 | 13.120.127.255 | 4,094 |
| 137 | 13.120.128.0/20 | 13.120.128.1 to 13.120.143.254 | 13.120.143.255 | 4,094 |
| 138 | 13.120.144.0/20 | 13.120.144.1 to 13.120.159.254 | 13.120.159.255 | 4,094 |
| 139 | 13.120.160.0/20 | 13.120.160.1 to 13.120.175.254 | 13.120.175.255 | 4,094 |
| 140 | 13.120.176.0/20 | 13.120.176.1 to 13.120.191.254 | 13.120.191.255 | 4,094 |
| 141 | 13.120.192.0/20 | 13.120.192.1 to 13.120.207.254 | 13.120.207.255 | 4,094 |
| 142 | 13.120.208.0/20 | 13.120.208.1 to 13.120.223.254 | 13.120.223.255 | 4,094 |
| 143 | 13.120.224.0/20 | 13.120.224.1 to 13.120.239.254 | 13.120.239.255 | 4,094 |
| 144 | 13.120.240.0/20 | 13.120.240.1 to 13.120.255.254 | 13.120.255.255 | 4,094 |
| 145 | 13.121.0.0/20 | 13.121.0.1 to 13.121.15.254 | 13.121.15.255 | 4,094 |
| 146 | 13.121.16.0/20 | 13.121.16.1 to 13.121.31.254 | 13.121.31.255 | 4,094 |
| 147 | 13.121.32.0/20 | 13.121.32.1 to 13.121.47.254 | 13.121.47.255 | 4,094 |
| 148 | 13.121.48.0/20 | 13.121.48.1 to 13.121.63.254 | 13.121.63.255 | 4,094 |
| 149 | 13.121.64.0/20 | 13.121.64.1 to 13.121.79.254 | 13.121.79.255 | 4,094 |
| 150 | 13.121.80.0/20 | 13.121.80.1 to 13.121.95.254 | 13.121.95.255 | 4,094 |
| 151 | 13.121.96.0/20 | 13.121.96.1 to 13.121.111.254 | 13.121.111.255 | 4,094 |
| 152 | 13.121.112.0/20 | 13.121.112.1 to 13.121.127.254 | 13.121.127.255 | 4,094 |
| 153 | 13.121.128.0/20 | 13.121.128.1 to 13.121.143.254 | 13.121.143.255 | 4,094 |
| 154 | 13.121.144.0/20 | 13.121.144.1 to 13.121.159.254 | 13.121.159.255 | 4,094 |
| 155 | 13.121.160.0/20 | 13.121.160.1 to 13.121.175.254 | 13.121.175.255 | 4,094 |
| 156 | 13.121.176.0/20 | 13.121.176.1 to 13.121.191.254 | 13.121.191.255 | 4,094 |
| 157 | 13.121.192.0/20 | 13.121.192.1 to 13.121.207.254 | 13.121.207.255 | 4,094 |
| 158 | 13.121.208.0/20 | 13.121.208.1 to 13.121.223.254 | 13.121.223.255 | 4,094 |
| 159 | 13.121.224.0/20 | 13.121.224.1 to 13.121.239.254 | 13.121.239.255 | 4,094 |
| 160 | 13.121.240.0/20 | 13.121.240.1 to 13.121.255.254 | 13.121.255.255 | 4,094 |
| 161 | 13.122.0.0/20 | 13.122.0.1 to 13.122.15.254 | 13.122.15.255 | 4,094 |
| 162 | 13.122.16.0/20 | 13.122.16.1 to 13.122.31.254 | 13.122.31.255 | 4,094 |
| 163 | 13.122.32.0/20 | 13.122.32.1 to 13.122.47.254 | 13.122.47.255 | 4,094 |
| 164 | 13.122.48.0/20 | 13.122.48.1 to 13.122.63.254 | 13.122.63.255 | 4,094 |
| 165 | 13.122.64.0/20 | 13.122.64.1 to 13.122.79.254 | 13.122.79.255 | 4,094 |
| 166 | 13.122.80.0/20 | 13.122.80.1 to 13.122.95.254 | 13.122.95.255 | 4,094 |
| 167 | 13.122.96.0/20 | 13.122.96.1 to 13.122.111.254 | 13.122.111.255 | 4,094 |
| 168 | 13.122.112.0/20 | 13.122.112.1 to 13.122.127.254 | 13.122.127.255 | 4,094 |
| 169 | 13.122.128.0/20 | 13.122.128.1 to 13.122.143.254 | 13.122.143.255 | 4,094 |
| 170 | 13.122.144.0/20 | 13.122.144.1 to 13.122.159.254 | 13.122.159.255 | 4,094 |
| 171 | 13.122.160.0/20 | 13.122.160.1 to 13.122.175.254 | 13.122.175.255 | 4,094 |
| 172 | 13.122.176.0/20 | 13.122.176.1 to 13.122.191.254 | 13.122.191.255 | 4,094 |
| 173 | 13.122.192.0/20 | 13.122.192.1 to 13.122.207.254 | 13.122.207.255 | 4,094 |
| 174 | 13.122.208.0/20 | 13.122.208.1 to 13.122.223.254 | 13.122.223.255 | 4,094 |
| 175 | 13.122.224.0/20 | 13.122.224.1 to 13.122.239.254 | 13.122.239.255 | 4,094 |
| 176 | 13.122.240.0/20 | 13.122.240.1 to 13.122.255.254 | 13.122.255.255 | 4,094 |
| 177 | 13.123.0.0/20 | 13.123.0.1 to 13.123.15.254 | 13.123.15.255 | 4,094 |
| 178 | 13.123.16.0/20 | 13.123.16.1 to 13.123.31.254 | 13.123.31.255 | 4,094 |
| 179 | 13.123.32.0/20 | 13.123.32.1 to 13.123.47.254 | 13.123.47.255 | 4,094 |
| 180 | 13.123.48.0/20 | 13.123.48.1 to 13.123.63.254 | 13.123.63.255 | 4,094 |
| 181 | 13.123.64.0/20 | 13.123.64.1 to 13.123.79.254 | 13.123.79.255 | 4,094 |
| 182 | 13.123.80.0/20 | 13.123.80.1 to 13.123.95.254 | 13.123.95.255 | 4,094 |
| 183 | 13.123.96.0/20 | 13.123.96.1 to 13.123.111.254 | 13.123.111.255 | 4,094 |
| 184 | 13.123.112.0/20 | 13.123.112.1 to 13.123.127.254 | 13.123.127.255 | 4,094 |
| 185 | 13.123.128.0/20 | 13.123.128.1 to 13.123.143.254 | 13.123.143.255 | 4,094 |
| 186 | 13.123.144.0/20 | 13.123.144.1 to 13.123.159.254 | 13.123.159.255 | 4,094 |
| 187 | 13.123.160.0/20 | 13.123.160.1 to 13.123.175.254 | 13.123.175.255 | 4,094 |
| 188 | 13.123.176.0/20 | 13.123.176.1 to 13.123.191.254 | 13.123.191.255 | 4,094 |
| 189 | 13.123.192.0/20 | 13.123.192.1 to 13.123.207.254 | 13.123.207.255 | 4,094 |
| 190 | 13.123.208.0/20 | 13.123.208.1 to 13.123.223.254 | 13.123.223.255 | 4,094 |
| 191 | 13.123.224.0/20 | 13.123.224.1 to 13.123.239.254 | 13.123.239.255 | 4,094 |
| 192 | 13.123.240.0/20 | 13.123.240.1 to 13.123.255.254 | 13.123.255.255 | 4,094 |
| 193 | 13.124.0.0/20 | 13.124.0.1 to 13.124.15.254 | 13.124.15.255 | 4,094 |
| 194 | 13.124.16.0/20 | 13.124.16.1 to 13.124.31.254 | 13.124.31.255 | 4,094 |
| 195 | 13.124.32.0/20 | 13.124.32.1 to 13.124.47.254 | 13.124.47.255 | 4,094 |
| 196 | 13.124.48.0/20 | 13.124.48.1 to 13.124.63.254 | 13.124.63.255 | 4,094 |
| 197 | 13.124.64.0/20 | 13.124.64.1 to 13.124.79.254 | 13.124.79.255 | 4,094 |
| 198 | 13.124.80.0/20 | 13.124.80.1 to 13.124.95.254 | 13.124.95.255 | 4,094 |
| 199 | 13.124.96.0/20 | 13.124.96.1 to 13.124.111.254 | 13.124.111.255 | 4,094 |
| 200 | 13.124.112.0/20 | 13.124.112.1 to 13.124.127.254 | 13.124.127.255 | 4,094 |
| 201 | 13.124.128.0/20 | 13.124.128.1 to 13.124.143.254 | 13.124.143.255 | 4,094 |
| 202 | 13.124.144.0/20 | 13.124.144.1 to 13.124.159.254 | 13.124.159.255 | 4,094 |
| 203 | 13.124.160.0/20 | 13.124.160.1 to 13.124.175.254 | 13.124.175.255 | 4,094 |
| 204 | 13.124.176.0/20 | 13.124.176.1 to 13.124.191.254 | 13.124.191.255 | 4,094 |
| 205 | 13.124.192.0/20 | 13.124.192.1 to 13.124.207.254 | 13.124.207.255 | 4,094 |
| 206 | 13.124.208.0/20 | 13.124.208.1 to 13.124.223.254 | 13.124.223.255 | 4,094 |
| 207 | 13.124.224.0/20 | 13.124.224.1 to 13.124.239.254 | 13.124.239.255 | 4,094 |
| 208 | 13.124.240.0/20 | 13.124.240.1 to 13.124.255.254 | 13.124.255.255 | 4,094 |
| 209 | 13.125.0.0/20 | 13.125.0.1 to 13.125.15.254 | 13.125.15.255 | 4,094 |
| 210 | 13.125.16.0/20 | 13.125.16.1 to 13.125.31.254 | 13.125.31.255 | 4,094 |
| 211 | 13.125.32.0/20 | 13.125.32.1 to 13.125.47.254 | 13.125.47.255 | 4,094 |
| 212 | 13.125.48.0/20 | 13.125.48.1 to 13.125.63.254 | 13.125.63.255 | 4,094 |
| 213 | 13.125.64.0/20 | 13.125.64.1 to 13.125.79.254 | 13.125.79.255 | 4,094 |
| 214 | 13.125.80.0/20 | 13.125.80.1 to 13.125.95.254 | 13.125.95.255 | 4,094 |
| 215 | 13.125.96.0/20 | 13.125.96.1 to 13.125.111.254 | 13.125.111.255 | 4,094 |
| 216 | 13.125.112.0/20 | 13.125.112.1 to 13.125.127.254 | 13.125.127.255 | 4,094 |
| 217 | 13.125.128.0/20 | 13.125.128.1 to 13.125.143.254 | 13.125.143.255 | 4,094 |
| 218 | 13.125.144.0/20 | 13.125.144.1 to 13.125.159.254 | 13.125.159.255 | 4,094 |
| 219 | 13.125.160.0/20 | 13.125.160.1 to 13.125.175.254 | 13.125.175.255 | 4,094 |
| 220 | 13.125.176.0/20 | 13.125.176.1 to 13.125.191.254 | 13.125.191.255 | 4,094 |
| 221 | 13.125.192.0/20 | 13.125.192.1 to 13.125.207.254 | 13.125.207.255 | 4,094 |
| 222 | 13.125.208.0/20 | 13.125.208.1 to 13.125.223.254 | 13.125.223.255 | 4,094 |
| 223 | 13.125.224.0/20 | 13.125.224.1 to 13.125.239.254 | 13.125.239.255 | 4,094 |
| 224 | 13.125.240.0/20 | 13.125.240.1 to 13.125.255.254 | 13.125.255.255 | 4,094 |
| 225 | 13.126.0.0/20 | 13.126.0.1 to 13.126.15.254 | 13.126.15.255 | 4,094 |
| 226 | 13.126.16.0/20 | 13.126.16.1 to 13.126.31.254 | 13.126.31.255 | 4,094 |
| 227 | 13.126.32.0/20 | 13.126.32.1 to 13.126.47.254 | 13.126.47.255 | 4,094 |
| 228 | 13.126.48.0/20 | 13.126.48.1 to 13.126.63.254 | 13.126.63.255 | 4,094 |
| 229 | 13.126.64.0/20 | 13.126.64.1 to 13.126.79.254 | 13.126.79.255 | 4,094 |
| 230 | 13.126.80.0/20 | 13.126.80.1 to 13.126.95.254 | 13.126.95.255 | 4,094 |
| 231 | 13.126.96.0/20 | 13.126.96.1 to 13.126.111.254 | 13.126.111.255 | 4,094 |
| 232 | 13.126.112.0/20 | 13.126.112.1 to 13.126.127.254 | 13.126.127.255 | 4,094 |
| 233 | 13.126.128.0/20 | 13.126.128.1 to 13.126.143.254 | 13.126.143.255 | 4,094 |
| 234 | 13.126.144.0/20 | 13.126.144.1 to 13.126.159.254 | 13.126.159.255 | 4,094 |
| 235 | 13.126.160.0/20 | 13.126.160.1 to 13.126.175.254 | 13.126.175.255 | 4,094 |
| 236 | 13.126.176.0/20 | 13.126.176.1 to 13.126.191.254 | 13.126.191.255 | 4,094 |
| 237 | 13.126.192.0/20 | 13.126.192.1 to 13.126.207.254 | 13.126.207.255 | 4,094 |
| 238 | 13.126.208.0/20 | 13.126.208.1 to 13.126.223.254 | 13.126.223.255 | 4,094 |
| 239 | 13.126.224.0/20 | 13.126.224.1 to 13.126.239.254 | 13.126.239.255 | 4,094 |
| 240 | 13.126.240.0/20 | 13.126.240.1 to 13.126.255.254 | 13.126.255.255 | 4,094 |
| 241 | 13.127.0.0/20 | 13.127.0.1 to 13.127.15.254 | 13.127.15.255 | 4,094 |
| 242 | 13.127.16.0/20 | 13.127.16.1 to 13.127.31.254 | 13.127.31.255 | 4,094 |
| 243 | 13.127.32.0/20 | 13.127.32.1 to 13.127.47.254 | 13.127.47.255 | 4,094 |
| 244 | 13.127.48.0/20 | 13.127.48.1 to 13.127.63.254 | 13.127.63.255 | 4,094 |
| 245 | 13.127.64.0/20 | 13.127.64.1 to 13.127.79.254 | 13.127.79.255 | 4,094 |
| 246 | 13.127.80.0/20 | 13.127.80.1 to 13.127.95.254 | 13.127.95.255 | 4,094 |
| 247 | 13.127.96.0/20 | 13.127.96.1 to 13.127.111.254 | 13.127.111.255 | 4,094 |
| 248 | 13.127.112.0/20 | 13.127.112.1 to 13.127.127.254 | 13.127.127.255 | 4,094 |
| 249 | 13.127.128.0/20 | 13.127.128.1 to 13.127.143.254 | 13.127.143.255 | 4,094 |
| 250 | 13.127.144.0/20 | 13.127.144.1 to 13.127.159.254 | 13.127.159.255 | 4,094 |
| 251 | 13.127.160.0/20 | 13.127.160.1 to 13.127.175.254 | 13.127.175.255 | 4,094 |
| 252 | 13.127.176.0/20 | 13.127.176.1 to 13.127.191.254 | 13.127.191.255 | 4,094 |
| 253 | 13.127.192.0/20 | 13.127.192.1 to 13.127.207.254 | 13.127.207.255 | 4,094 |
| 254 | 13.127.208.0/20 | 13.127.208.1 to 13.127.223.254 | 13.127.223.255 | 4,094 |
| 255 | 13.127.224.0/20 | 13.127.224.1 to 13.127.239.254 | 13.127.239.255 | 4,094 |
| 256 | 13.127.240.0/20 | 13.127.240.1 to 13.127.255.254 | 13.127.255.255 | 4,094 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |